Skip to main content
GET
List of MUD world table records.

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Path Parameters

world
string
required

MUD world address hash in the path

Pattern: ^0x([A-Fa-f0-9]{40})$
table_id
string
required

MUD table ID in the path

Pattern: ^0x([A-Fa-f0-9]{64})$
chain_id
string
required

The ID of the blockchain

Query Parameters

filter_key0
string

Filter by key0

filter_key1
string

Filter by key1

sort
enum<string>

Sort results by:

  • key_bytes - Sort by MUD record key_bytes
  • key0 - Sort by MUD record key0
  • key1 - Sort by MUD record key1 Should be used together with order parameter.
Available options:
key_bytes,
key0,
key1
order
enum<string>

Sort order:

  • asc - Ascending order
  • desc - Descending order Should be used together with sort parameter.
Available options:
asc,
desc
items_count
integer

Number of items per page

Required range: x >= 1
key_bytes
string

MUD record key_bytes for paging

Pattern: ^0x([A-Fa-f0-9]*)$
key0
string

MUD record key0 for paging

Pattern: ^0x([A-Fa-f0-9]{64})$
key1
string

MUD record key1 for paging

Pattern: ^0x([A-Fa-f0-9]{64})$

Response

List of MUD world table records.

items
Record · object[]
required
next_page_params
object | null
required
Example:
schema
TableSchema · object
required

MUD TableSchema struct.

table
Table · object
required

MUD Table struct.